> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patina Material Extraction

> - PATINA Material Extract model, extracts textures from existing images and generates complete PBR material
- Asynchronous processing mode, use the returned task ID [to query task status](/pages/en/api-manual/task-management/get-task-detail)
- Generated image links are valid for 24 hours, please save them promptly




## OpenAPI

````yaml openapi/en/patina-material-extract.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: PATINA Material Extract
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/images/generations:
    post:
      tags:
        - Image > PATINA
      summary: PATINA Material Extract
      description: >
        - PATINA Material Extract model, extracts textures from existing images
        and generates complete PBR material

        - Asynchronous processing mode, use the returned task ID [to query task
        status](/pages/en/api-manual/task-management/get-task-detail)

        - Generated image links are valid for 24 hours, please save them
        promptly
      operationId: patina-material-extract
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatinaMaterialExtractRequest'
            examples:
              patina_material_extract_extract_material_from_image:
                summary: PATINA Material Extract — Extract material from image
                value:
                  model: patina-material-extract
                  image_url: https://example.com/wall-photo.jpg
                  image_size: 1024
                  maps:
                    - basecolor
                    - normal
                    - roughness
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    PatinaMaterialExtractRequest:
      type: object
      required:
        - model
        - image_url
        - maps
      properties:
        model:
          description: >-
            `patina-material-extract`: Extracts textures from images and
            generates PBR maps
          examples:
            - patina-material-extract
          type: string
          default: patina-material-extract
        image_url:
          description: |
            Input image public URL

            **Notes:**
            - Source image for material extraction
            - Must be a publicly accessible URL
          type: string
          example: https://example.com/wall-photo.jpg
        mask_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |
            Mask image public URL

            **Notes:**
            - Specifies which area of the image to extract material from
          example: https://example.com/mask.png
        image_size:
          default: 1024
          description: |
            Output image size (pixels)

            **Notes:**
            - Controls the size of extracted textures and PBR maps
          type: integer
          example: 512
        maps:
          description: |
            PBR map types to generate

            **Options:**
            - `basecolor` — Base color map
            - `normal` — Normal map
            - `roughness` — Roughness map
            - `metalness` — Metalness map
            - `height` — Height map
          items:
            type: string
          type: array
          example:
            - basecolor
            - normal
            - roughness
        upscale_factor:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: |-
            Upscale factor

            **Notes:**
            - Upscales the output material
            - Enabling increases billing


            > Do not pass this parameter unless necessary.
          x-advanced: true
          example: 2
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: Actual model name used
        object:
          type: string
          description: Specific task type
          enum:
            - image.generation.task
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: Async task information
          properties:
            can_cancel:
              type: boolean
              description: Whether the task can be cancelled
              example: true
            estimated_time:
              type: integer
              description: Estimated completion time (seconds)
              example: 45
        type:
          type: string
          description: Task output type
          enum:
            - image
          example: image
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid request parameters
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid API key
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient balance
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Parameter validation failed
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Rate limit exceeded
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Internal server error
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Service temporarily unavailable, please try again later
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: Task created successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: Insufficient balance
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: Parameter validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: Service temporarily unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## All APIs require Bearer Token authentication ##

        Add to request header:

        `Authorization: Bearer YOUR_API_KEY`

````